import { HistoryEditor } from 'slate-history/dist/history-editor';
import { ReactEditor } from 'slate-react';
import { SlatePluginsEditor } from '../plugins/useSlatePluginsPlugin';
export interface IdEditor {
    id: string;
}
/**
 * Editor id stored in `editor`.
 */
export declare const useEditorId: <TEditor extends ReactEditor & IdEditor & SlatePluginsEditor = ReactEditor & IdEditor & HistoryEditor & SlatePluginsEditor>() => string;
//# sourceMappingURL=useEditorId.d.ts.map